use egui::{CentralPanel, Context, ViewportBuilder, ViewportId};

use crate::{emulator::SimId, window::AppWindow};

pub struct BgMapWindow {
    sim_id: SimId,
}

impl BgMapWindow {
    pub fn new(sim_id: SimId) -> Self {
        Self { sim_id }
    }
}

impl AppWindow for BgMapWindow {
    fn viewport_id(&self) -> ViewportId {
        ViewportId::from_hash_of(format!("bgmap-{}", self.sim_id))
    }

    fn initial_viewport(&self) -> ViewportBuilder {
        ViewportBuilder::default()
            .with_title(format!("BG Map Data ({})", self.sim_id))
            .with_inner_size((640.0, 480.0))
    }

    fn show(&mut self, ctx: &Context) {
        CentralPanel::default().show(ctx, |ui| ui.label("TODO"));
    }
}
